Index: config.c
===================================================================
RCS file: /usr/cvsroot/asterisk/config.c,v
retrieving revision 1.57
diff -u -r1.57 config.c
--- config.c	10 Feb 2005 21:14:11 -0000	1.57
+++ config.c	11 Feb 2005 15:53:24 -0000
@@ -584,15 +584,17 @@
 			for (i=0; i<globbuf.gl_pathc; i++) {
 				strncpy(fn, globbuf.gl_pathv[i], sizeof(fn)-1);
 #endif
-	if ((option_verbose > 1) && !option_debug) {
-		ast_verbose(  VERBOSE_PREFIX_2 "Parsing '%s': ", fn);
-		fflush(stdout);
-	}
+		
 	if ((f = fopen(fn, "r"))) {
-		if (option_debug)
-			ast_log(LOG_DEBUG, "Parsing %s\n", fn);
-		else if (option_verbose > 1)
-			ast_verbose("Found\n");
+		char *fmt = "Parsing config file '%s'\n";
+		if(option_debug) {
+			ast_log(LOG_DEBUG, fmt, fn);
+		} else if(option_verbose > 1) {
+			ast_verbose(VERBOSE_PREFIX_2);
+			ast_verbose(fmt, fn);
+			fflush(stdout);
+		}
+
 		while(!feof(f)) {
 			lineno++;
 			if (fgets(buf, sizeof(buf), f)) {
@@ -655,10 +657,14 @@
 		}
 		fclose(f);		
 	} else { /* can't open file */
-		if (option_debug)
-			ast_log(LOG_DEBUG, "No file to parse: %s\n", fn);
-		else if (option_verbose > 2)
-			ast_verbose( "Not found (%s)\n", strerror(errno));
+		char *fmt = "Error Parsing config file '%s' (%s)\n";
+		if(option_debug) {
+			ast_log(LOG_DEBUG, fmt, fn, strerror(errno));
+		} else if(option_verbose > 1) {
+			ast_verbose(VERBOSE_PREFIX_2);
+			ast_verbose(fmt,fn, strerror(errno));
+			fflush(stdout);
+		}
 	}
 	if (comment) {
 		ast_log(LOG_WARNING,"Unterminated comment detected beginning on line %d\n", nest[comment]);
